set_alpha_blender(3)

NAME
set_alpha_blender - Enables a special alpha-channel blending mode. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_alpha_blender();

DESCRIPTION
Enables the special alpha-channel blending mode, which is used for drawing 32-bit RGBA sprites. After calling this function, you can use draw_trans_sprite() or draw_trans_rle_sprite() to draw a 32-bit source image onto any hicolor or truecolor destination. The alpha values will be taken directly from the source graphic, so you can vary the solidity of each part of the image. You can't use any of the normal translucency functions while this mode is active, though, so you should reset to one of the normal blender modes (eg. set_trans_blender()) before drawing anything other than 32-bit RGBA sprites.

SEE ALSO
set_trans_blender(3), draw_trans_sprite(3), draw_trans_rle_sprite(3), set_write_alpha_blender(3), exalpha(3), extrans(3)